commit:     af6ebde8219a2157d7c2b9ea54aa33e9d2e773cb
Author:     Alexey Sokolov <alexey+gentoo <AT> asokolov <DOT> org>
AuthorDate: Sun Apr 27 22:03:07 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Apr 27 22:52:29 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af6ebde8

games-board/maitretarot: update EAPI 7 -> 8, fix build with gcc15

Closes: https://bugs.gentoo.org/944264
Signed-off-by: Alexey Sokolov <alexey+gentoo <AT> asokolov.org>
Part-of: https://github.com/gentoo/gentoo/pull/41800
Closes: https://github.com/gentoo/gentoo/pull/41800
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../files/maitretarot-0.1.98-gcc15.patch           | 13 +++++++
 .../maitretarot/maitretarot-0.1.98-r3.ebuild       | 43 ++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/games-board/maitretarot/files/maitretarot-0.1.98-gcc15.patch 
b/games-board/maitretarot/files/maitretarot-0.1.98-gcc15.patch
new file mode 100644
index 000000000000..cc6ee8286529
--- /dev/null
+++ b/games-board/maitretarot/files/maitretarot-0.1.98-gcc15.patch
@@ -0,0 +1,13 @@
+https://bugs.gentoo.org/944264
+
+--- a/src/config_utils.c
++++ b/src/config_utils.c
+@@ -29,7 +29,7 @@
+ #include "config_utils.h"
+ 
+ static void
+-usage ()
++usage (char* a)
+ {
+   g_printerr (_
+   ("maitretarot [-h | -- help] [-v | --version] [-p port] [-c filename]\n"));

diff --git a/games-board/maitretarot/maitretarot-0.1.98-r3.ebuild 
b/games-board/maitretarot/maitretarot-0.1.98-r3.ebuild
new file mode 100644
index 000000000000..7592882190fe
--- /dev/null
+++ b/games-board/maitretarot/maitretarot-0.1.98-r3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+DESCRIPTION="Server for the french tarot game maitretarot"
+HOMEPAGE="http://www.nongnu.org/maitretarot/";
+SRC_URI="https://savannah.nongnu.org/download/maitretarot/${PN}.pkg/${PV}/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="virtual/pkgconfig"
+DEPEND="dev-libs/glib:2
+       dev-libs/libxml2
+       dev-games/libmaitretarot"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       "${FILESDIR}"/${P}-format.patch
+       "${FILESDIR}"/${P}-gcc15.patch
+)
+
+src_prepare() {
+       default
+
+       mv configure.{in,ac} || die
+
+       # Remove bundled macros (avoid patching same file multiple times)
+       rm m4/libmaitretarot.m4 || die
+
+       # Ensure we generate auto* with the fixed macros in tree
+       # (not bundled)
+       # bug #739142
+       eautoreconf
+}
+
+src_configure() {
+       econf --with-default-config-file="/etc/maitretarotrc.xml"
+}

Reply via email to